﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.Specialized;

namespace SilverlightApplication2
{
	public class MyTileView : RadTileView
	{
		private bool itemAdded;

		public MyTileView()
		{
			this.DefaultStyleKey = typeof(RadTileView);
			this.MaximizeMode = TileViewMaximizeMode.One;
		}

		protected override void PrepareContainerForItemOverride(DependencyObject element, object item)
		{
			base.PrepareContainerForItemOverride(element, item);
			if (this.itemAdded)
			{
				var container = element as RadTileViewItem;
				if (container != null)
				{
					container.TileState = TileViewItemState.Maximized;
				}
			}

			this.itemAdded = false;
		}

		protected override void OnItemsChanged(NotifyCollectionChangedEventArgs e)
		{
			base.OnItemsChanged(e);

			if (e.Action == NotifyCollectionChangedAction.Add)
			{
				this.itemAdded = true;
			}
			return;
		}
	}
}
